Bug 232244

Summary: misc/py-glance: Update to 16.0.1
Product: Ports & Packages Reporter: Kai Knoblich <kai>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me CC: alexander.nusov, miwi, python
Priority: --- Flags: alexander.nusov: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 230131, 230135, 230136, 230379, 232241, 232243, 232246    
Bug Blocks:    
Attachments:
Description Flags
py-glance-16.0.1.patch
none
py-glance-16.0.1-rev1.patch none

Description Kai Knoblich freebsd_committer 2018-10-14 12:43:37 UTC
Created attachment 198126 [details]
py-glance-16.0.1.patch

Hello,

attached is the patch that updates misc/py-glance to 16.0.1 . 

Changes by upstream:

Changes to the port:
- changed MASTER_SITES to the official upstream repository
- added LICENSE_FILE
- enabled building for Python 3+ ports
- removed RC script glance-glare because it's no longer required
- sorted variables a bit according to the PHB
- added OPTIONS for DOCS, MySQL, PostgreSQL, memcached and MongoDB
- added post-extract, post-patch and post-install targets to replace hardcoded occurences of /etc with ${PREFIX}/etc and to handle the installation of files into ${ETCDIR}
- added pkg-message

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE and 12.0-ALPHA9 amd64 + i386) -> OK
- portlint -> OK
Comment 1 Alexander Nusov 2018-11-04 16:43:17 UTC
thanks
Comment 2 Kai Knoblich freebsd_committer 2019-01-13 00:33:12 UTC
Created attachment 201088 [details]
py-glance-16.0.1-rev1.patch

Rebased patch after ports r490061 has been applied:

Changes by upstream:
- https://docs.openstack.org/releasenotes/glance/queens.html

Changes to the port:
- Changed MASTER_SITES to the official upstream repository
- Added LICENSE_FILE
- Enabled building for Python 3+ ports
- Removed RC script glance-glare because it's no longer required
- Sorted variables a bit according to the PHB
- Added OPTIONS for DOCS, MySQL, PostgreSQL, memcached and MongoDB
- Added post-extract, post-patch and post-install targets to replace hardcoded occurences of /etc with ${PREFIX}/etc and to handle the installation of files into ${ETCDIR}
- Added pkg-message

QA:
~~~
- poudriere (11.2-, 12.0-RELEASE and 13.0-CURRENT@r342772 amd64 + i386) -> OK
- portlint -> OK
Comment 3 commit-hook freebsd_committer 2019-01-29 14:04:34 UTC
A commit references this bug:

Author: miwi
Date: Tue Jan 29 14:03:32 UTC 2019
New revision: 491563
URL: https://svnweb.freebsd.org/changeset/ports/491563

Log:
  - Update to 16.0.1
  - Changed MASTER_SITES to the official upstream repository
  - Added LICENSE_FILE
  - Enabled building for Python 3+ ports
  - Removed RC script glance-glare because it's no longer required
  - Sorted variables a bit according to the PHB
  - Added OPTIONS for DOCS, MySQL, PostgreSQL, memcached and MongoDB
  - Added post-extract, post-patch and post-install targets to replace hardcoded
    occurences of /etc with ${PREFIX}/etc and to handle the installation of files into ${ETCDIR}
  - Added pkg-message

  PR:		232244
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/misc/py-glance/Makefile
  head/misc/py-glance/distinfo
  head/misc/py-glance/files/glance-api.in
  head/misc/py-glance/files/glance-registry.in
  head/misc/py-glance/files/glance-scrubber.in
  head/misc/py-glance/pkg-message
  head/misc/py-glance/pkg-plist